///
/// Provides constants for [double] comparison tolerance.
///
class Tolerance {
  /// Course tolerance constants (1e-3).
  static const double course = 0.001;

  /// Medium tolerance constants (1e-6).
  static const double medium = 1e-06;

  /// Fine tolerance constants (1e-9).
  static const double fine = 1e-09;

  /// Super fine tolerance constants (1e-12).
  static const double superFine = 1e-12;

  /// Ultra fine tolerance constants (4.9406564584124654e-324).
  static const double ultraFine = 4.9406564584124654e-324;
}
